server.port: 8080
eureka:
  client.serviceUrl.defaultZone: http://admin:prolog00212@eureka.bocai-cloud.com:88/eureka/
  instance:
    instanceId: ${spring.application.name}:${server.port}
spring:
  application:
    name: upcloud-base-wh-inbound
  redis:
    host: 192.168.0.168
    port: 6379
    password: prolog0212
    database: 0
  zipkin:
    sender.type: rabbit
    rabbitmq.queue: trace
  sleuth:
    enable: false
    sampler:
      probability: 1.0
  rabbitmq:
    host: 192.168.0.168
    port: 5672
    username: root
    password: prolog0212
    virtual-host: /upcloud
    connection-timeout: 90s
    template:
      mandatory: true
#    支持发布确认
    publisher-confirms: true
#    支持发布返回
#    publisher-returns: true
    listener:
      simple:
        acknowledge-mode: manual
        auto-startup: true
        default-requeue-rejected: false
        concurrency: 5
        max-concurrency: 20
        retry:
          enabled: true
        prefetch: 300
  datasource:
    driverClassName: oracle.jdbc.OracleDriver
    url: jdbc:oracle:thin:@192.168.1.12:1521:orcl
    username: upcloud_biz_inbound
    password: upcloud_biz_inbound
    initialSize: 0
    minIdle: 5
    maxActive: 50
    maxWait: 60000
    minEvictableIdleTimeMillis: 25200000
prolog:
  dao:
    dialect: oracle
  security:
    accessTokenValiditySeconds: 3600
    refreshTokenValiditySeconds: 30000
  wms:
    print:
      printUrl3: http://192.168.40.136:6819/files/YS_TZ.grf
      printUrl: http://192.168.40.136:6819/files/SJ_BQ.grf
      printUrl2: http://192.168.40.136:6819/files/ZJ_MX.grf
      printUrl4: http://192.168.40.136:6819/files/ZJ_HZ.grf
      printSolution: batch_order.grf
      printName: null
      printCount: 1
      preview: true
logging:
  config: classpath:log4j2-test.xml
  level.root: info
management:
  endpoints:
    web:
      exposure:
        include: '*'
        exclude: shutdown
  endpoint:
    logfile.external-file: /usr/local/logs/upcloud-base-wh-inbound/192.168.1.121.9817/info.log
    health.show-details: always